//Nous utilisons 999 cercles à la place de 9, pour un beau dessin
float[] x = new float[999];
float[] y = new float[999];
float[] r = new float[999];
float distance(float x1, float y1, float x2, float y2){
    return sqrt( pow(x1-x2,2) + pow(y1-y2,2) );
}
//Cette fonction renvoie True si le nouveau cercle, ç.à.d, 
//le cercle numéro i intersecte un des cercles 0..i-1
boolean intersect_ancien_cercle(float cx, float cy, float rayon, int i){
    for(int k=0;k<i;k++)
        if(distance(cx,cy,x[k],y[k])<=r[k]+rayon)
            return true;
    return false;
}

float min(float f1, float f2, float f3, float f4, float f5){
    float m = f1;
    if(f2<m)
        m = f2;
    if(f3<m)
        m = f3;
    if(f4<m)
        m = f4;
    if(f5<m)
        m = f5;
    return m;
}
void setup(){
    println(random(10,5));
    size(600,600);
    for(int i=0;i<999;i++){
        float centre_x  = random(600);
        float centre_y  = random(600);
        float rayon_max = min(centre_x, centre_y, 600-centre_x, 600-centre_y, 100);
        float rayon     = random(rayon_max);

        while(intersect_ancien_cercle(centre_x,centre_y, rayon, i)){
            centre_x  = random(600);
            centre_y  = random(600);
            rayon_max = min(centre_x, centre_y, 600-centre_x, 600-centre_y, 100);
            rayon     = random(rayon_max);
        }
        ellipse(centre_x, centre_y, 2*rayon, 2*rayon);

        x[i] = centre_x;
        y[i] = centre_y;
        r[i] = rayon;
    }
    save("exo6.png");
}



